-----------------------------------------------------------------------------
-- Copyright 2014, Open Universiteit Nederland. This file is distributed
-- under the terms of the GNU General Public License. For more information,
-- see the file "LICENSE.txt", which is included in the distribution.
-----------------------------------------------------------------------------
-- |
-- Maintainer  :  bastiaan.heeren@ou.nl
-- Stability   :  provisional
-- Portability :  portable (depends on ghc)
--
-----------------------------------------------------------------------------
--  $Id: Strategies.hs 6548 2014-05-16 10:34:18Z bastiaan $

module Domain.Math.Fraction.Strategies
    (expandAndAdd) where

import Domain.Math.Expr
import Domain.Math.Fraction.Rules
import Ideas.Common.Library

expandAndAdd :: LabeledStrategy (Context Expr)
expandAndAdd = label "expandAndAdd" $
               try findLCM
               <*> repeatS ( somewhere expandToLCM )
               <*>  addLikeFractions